# Opening balances entry: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/entering-opening-balances/

Bimp API methods for the “Opening balances entry” resource (`/org2/enteringOpeningBalances/…`): 4 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

Entering opening balances documents

| Method | What it does |
|---|---|
| [`POST /org2/enteringOpeningBalances/api-readList`](#api-read-list) | List entering opening balances documents |
| [`POST /org2/enteringOpeningBalances/api-read`](#api-read) | Read an entering opening balances document with stocks lines |
| [`POST /org2/enteringOpeningBalances/api-create`](#api-create) | Create an entering opening balances document |
| [`POST /org2/enteringOpeningBalances/api-update`](#api-update) | Update an entering opening balances document |

## api-readList

`POST /org2/enteringOpeningBalances/api-readList`

List entering opening balances documents

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `periodable` | object[] |  | Period range [from, to] (UTC ISO strings) |
| `organizations` | string (uuid)[] |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `showArchived` | boolean |  | Include archived documents |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `[].uuid` | string (uuid) | A unique uuid key for the entering opening balances document |
| `[].name` | string | Document display name |
| `[].number` | string | The document's number. Use this field if you need to specify a custom number |
| `[].date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `[].archived` | boolean | Whether the document is archived |
| `[].organization` | string (uuid) \| null |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-read

`POST /org2/enteringOpeningBalances/api-read`

Read an entering opening balances document with stocks lines

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the entering opening balances document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) | A unique uuid key for the entering opening balances document |
| `name` | string | Document display name |
| `number` | string | The document's number. Use this field if you need to specify a custom number |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `archived` | boolean | Whether the document is archived |
| `organization` | string (uuid) \| null |  |
| `author` | string (uuid) \| null |  |
| `stocks` | object[] | An array of product objects, representing the nomenclatures included in the document |
| `stocks[].nomenclature` | string (uuid) \| null |  |
| `stocks[].warehouse` | string (uuid) \| null |  |
| `stocks[].quantity` | number | The amount of items |
| `stocks[].price` | number | The price of the item/document |
| `stocks[].sum` | number | The sum of the document |
| `stocks[].unitOfMeasurement` | string (uuid) \| null |  |
| `stocks[].characteristic` | string (uuid) \| null |  |
| `stocks[].party` | string (uuid) \| null |  |
| `stocks[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `stocks[].serialNumbers` | string (uuid)[] | Serial number UUIDs for this stock line |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-create

`POST /org2/enteringOpeningBalances/api-create`

Create an entering opening balances document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `author` | string (uuid) |  | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `stocks` | object[] | yes | An array of product objects, representing the nomenclatures included in the document |
| `stocks[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `stocks[].warehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `stocks[].quantity` | number | yes | The amount of items |
| `stocks[].price` | number | yes | The price of the item/document |
| `stocks[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `stocks[].characteristic` | string (uuid) |  | Nomenclature characteristic UUID |
| `stocks[].party` | string (uuid) |  | A unique identifier for the Party, obtainable from the party catalog |
| `stocks[].comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `stocks[].serialNumbers` | string (uuid)[] |  | Serial number UUIDs for this stock line |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"stocks":[{}]}'
```

## api-update

`POST /org2/enteringOpeningBalances/api-update`

Update an entering opening balances document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for the entering opening balances document |
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `author` | string (uuid) |  | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `stocks` | object[] |  | An array of product objects, representing the nomenclatures included in the document |
| `stocks[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `stocks[].warehouse` | string (uuid) | yes | A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request |
| `stocks[].quantity` | number | yes | The amount of items |
| `stocks[].price` | number | yes | The price of the item/document |
| `stocks[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `stocks[].characteristic` | string (uuid) |  | Nomenclature characteristic UUID |
| `stocks[].party` | string (uuid) |  | A unique identifier for the Party, obtainable from the party catalog |
| `stocks[].comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `stocks[].serialNumbers` | string (uuid)[] |  | Serial number UUIDs for this stock line |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/enteringOpeningBalances/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
